## Class Auth_OpenID_ServerResponse

Description

This class encapsulates the response to an OpenID server request.

Located in /Auth/OpenID/Server.php (line 1181)

Method Summary
Auth_OpenID_ServerResponse Auth_OpenID_ServerResponse ( &$request)
void addExtension ( $extension_response)
void encodeToKVForm ()
void encodeToURL ()
void needsSigning ()
void renderAsForm ()
void toFormMarkup ([ $form_tag_attrs = null])
void toHTML ()
void whichEncoding ()
Methods
Constructor Auth_OpenID_ServerResponse (line 1183)
Auth_OpenID_ServerResponse Auth_OpenID_ServerResponse ( &$request)

- &$request

addExtension (line 1243)
void addExtension ( $extension_response)

- $extension_response

encodeToKVForm (line 1254)
void encodeToKVForm ()
encodeToURL (line 1238)
void encodeToURL ()
needsSigning (line 1248)
void needsSigning ()
renderAsForm (line 1232)
void renderAsForm ()
toFormMarkup (line 1211)
void toFormMarkup ([ $form_tag_attrs = null])

- $form_tag_attrs

toHTML (line 1221)
void toHTML ()
whichEncoding (line 1189)
void whichEncoding ()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2